=== debian/changelog ===
radeontop (0.6-2) unstable; urgency=low

  * Include updated watch file (Thanks Bart Martens).
  * Bump standards to version 3.9.4 (no changes required).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 27 Jan 2013 23:58:30 +0100

radeontop (0.6-1) unstable; urgency=low

  * Update to latest upstream release.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 08 Nov 2012 15:10:56 +0100

radeontop (0.5.4.1-1) unstable; urgency=low

  * Initial release (Closes: #680892)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 10 Jul 2012 01:28:50 +0200
