=== debian/changelog ===
radeontop (0.7-1) unstable; urgency=low

  * New upstream release.
    - add complete Russian translation
    - fix various locales
    - update PCI IDs to support Oland, Hainan, Bonaire, Kabini
      and Kaveri GPUs
    - improve dumping into pipes

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 15 Dec 2013 23:41:17 +0100
