## radeontop 0.8

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 # Options:
 #	nls	enable translations, default on
 #	debug	enable debug symbols, default off
+#	nostrip	disable stripping, default off
 #	plain	apply neither -g nor -s.
 
 PREFIX ?= /usr
@@ -24,6 +25,7 @@
 CFLAGS += -Iinclude
 CFLAGS += $(CFLAGS_SECTIONED)
 CFLAGS += $(shell pkg-config --cflags pciaccess)
+CFLAGS += $(shell pkg-config --cflags libdrm)
 CFLAGS += $(shell pkg-config --cflags ncurses 2>/dev/null)
 
 # Comment this if you don't want translations
@@ -31,17 +33,19 @@
 	CFLAGS += -DENABLE_NLS=1
 endif
 
+ifndef plain
 ifdef debug
 	CFLAGS += -g
-else ifdef plain
-#
-else
+endif
+ifndef nostrip
 	CFLAGS += -s
+endif
 endif
 
 LDFLAGS ?= -Wl,-O1
 LDFLAGS += $(LDFLAGS_SECTIONED)
 LIBS += $(shell pkg-config --libs pciaccess)
+LIBS += $(shell pkg-config --libs libdrm)
 
 # On some distros, you might have to change this to ncursesw
 LIBS += $(shell pkg-config --libs ncursesw 2>/dev/null || \
