=== debian/changelog ===
radeontop (0.8-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 14 May 2014 20:45:47 +0200

radeontop (0.8-1) unstable; urgency=low

  * New upstream release.
    - update PCI IDs to support Hawaii GPUs and fix the
      mislabeled Sumo 2 GPUs
    - improve Makefile to have better control over -g and -s options
    - build with libdrm support
    - add VRAM reporting support
    - refresh translation template
  * Clean up debian/changelog.
  * Update Debian standards version to 3.9.5, no changes required.
  * Add build dependency to libdrm-dev in debian/control.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 03 May 2014 10:31:35 +0200
