## radeontop 0.9

=== Makefile ===
--- 
+++ 
@@ -36,8 +36,7 @@
 ifndef plain
 ifdef debug
 	CFLAGS += -g
-endif
-ifndef nostrip
+else ifndef nostrip
 	CFLAGS += -s
 endif
 endif
