=== debian/changelog ===
radeontop (0.9-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:45:16 +0000

radeontop (0.9-1) unstable; urgency=medium

  * New upstream release.
    - add support for Topaz, Tonga and Carrizo
    - refresh PCI IDs of various cards
    - add support to allow toggling colors while running
    - make radeontop work even when CONFIG_DEVMEM is disabled
      in the configuration of the running kernel
    - add VRAM reporting support
    - add support for fglrx
    - various bug fixes and improvements
  * Update Debian standards version to 3.9.5, no changes required.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 08 Sep 2015 18:20:12 +0200
