=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
 Build-Depends: debhelper (>= 9.0.0), libpciaccess-dev, pkg-config, libncurses5-dev, libdrm-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/clbr/radeontop
 Vcs-Git: git://github.com/glaubitz/radeontop-debian.git
 Vcs-Browser: https://github.com/glaubitz/radeontop-debian
