## radeontop 1.0

=== translations/Makefile ===
--- 
+++ 
@@ -15,6 +15,6 @@
 	$(MSGFMT) -o $@ $<
 
 %.inst: %.mo
-	$(INSTALL) -D -m 644 $< $(DESTDIR)/$(PREFIX)/share/locale/$*/LC_MESSAGES/$<
+	$(INSTALL) -D -m 644 $< $(DESTDIR)/$(PREFIX)/share/locale/$*/LC_MESSAGES/radeontop.mo
 
 install: all $(inst)
