## radeontop 1.3

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,8 @@
 #	nostrip	disable stripping, default off
 #	plain	apply neither -g nor -s.
 #	xcb	enable libxcb to run unprivileged in Xorg, default on
-#	amdgpu	enable amdgpu VRAM size and usage reporting, default off
-#		because amdgpu requires libdrm >= 2.4.77
+#	amdgpu	enable amdgpu usage reporting, default auto
+#		it requires libdrm >= 2.4.63
 
 PREFIX ?= /usr
 INSTALL ?= install
@@ -17,12 +17,10 @@
 
 nls ?= 1
 xcb ?= 1
-amdgpu ?= 0
 
 bin = radeontop
 xcblib = libradeontop_xcb.so
-src = $(filter-out auth_xcb.c,$(wildcard *.c))
-obj = $(src:.c=.o)
+src = $(filter-out amdgpu.c auth_xcb.c,$(wildcard *.c))
 verh = include/version.h
 
 CFLAGS_SECTIONED = -ffunction-sections -fdata-sections
@@ -45,8 +43,25 @@
 	CFLAGS += -DENABLE_NLS=1
 endif
 
+# autodetect libdrm features
+ifeq ($(shell pkg-config --atleast-version=2.4.66 libdrm && echo ok), ok)
+	CFLAGS += -DHAS_DRMGETDEVICE=1
+endif
+
+ifeq ($(shell pkg-config --atleast-version=2 libdrm_amdgpu && echo ok), ok)
+	amdgpu ?= 1
+else
+	amdgpu ?= 0
+endif
+
 ifeq ($(amdgpu), 1)
+	src += amdgpu.c
 	CFLAGS += -DENABLE_AMDGPU=1
+	LIBS += $(shell pkg-config --libs libdrm_amdgpu)
+
+	ifeq ($(shell pkg-config --atleast-version=2.4.79 libdrm_amdgpu && echo ok), ok)
+		CFLAGS += -DHAS_AMDGPU_QUERY_SENSOR_INFO=1
+	endif
 endif
 
 ifndef plain
@@ -57,10 +72,12 @@
 endif
 endif
 
+obj = $(src:.c=.o)
 LDFLAGS ?= -Wl,-O1
 LDFLAGS += $(LDFLAGS_SECTIONED)
 LIBS += $(shell pkg-config --libs pciaccess)
 LIBS += $(shell pkg-config --libs libdrm)
+LIBS += -lm
 ifeq ($(xcb), 1)
 	xcb_LIBS += $(shell pkg-config --libs xcb xcb-dri2)
 	LIBS += -ldl
