=== debian/changelog ===
radeontop (1.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #978095)
    - Update pci ids, one navi10, new sienna cichlid
    - Update pot file
    - Transparency style fixes
    - Transparency support
    - Update pci ids: arcturus, renoir, navi12, navi14
    - Round the size of the percentage bar to the nearest integer
    - Add Screenshot
    - Refresh man page
    - Add a warning when failing to drop DRM master
    - Add support to open DRM device nodes by pathname
    - Rework of DRM initialization code
    - Add support to discover devices via DRM
    - Move libdrm code to separate functions
    - Warning fix, make the struct copy explicit
    - Move pciaccess code to separate functions
    - Restore libdrm defines, so the non-root-radeon
      support works on older libdrm but new kernel
    - Warning fix, clarify two radeon error messages
    - Update man page
    - Fix matching PCI bus 0 via command line argument
    - Add clock frequency reporting to radeon
    - Check driver version to discover features
    - Move device dependent code to amdgpu.c and radeon.c
    - Move amdgpu code to init_amdgpu() and cleanup_amdgpu()
    - Move radeon initialization code to init_radeon()
    - Revive previously removed radeon_get_drm_value()
    - Use directly the backend functions to get GPU usage
    - Display shader clock on APUs
    - Documentation update for amdgpu and command line
    - Update pci ids from latest kernel, Navi10 support
    - Last commit broke radeon VRAM reading, fix
    - Split getvram() and getgtt() to separate backends
    - Replace amdgpu code with libdrm_amdgpu and autodetect it
    - Add amdgpu backend to getgrbm_device_amdgpu()
    - Split readgrbm() in two seaparate backend functions
    - Move device dependent functions to detect.c
  * Update standards version to 4.5.1 in debian/control.
  * Update Vcs-* fields for new Salsa project in debian/control.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 25 Dec 2020 23:46:38 +0100
