=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
 Build-Depends: debhelper (>= 12), libpciaccess-dev, pkg-config, libncurses5-dev, libdrm-dev, libxcb1-dev, libxcb-dri2-0-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/clbr/radeontop
-Vcs-Git: git://github.com/glaubitz/radeontop-debian.git
-Vcs-Browser: https://github.com/glaubitz/radeontop-debian
+Vcs-Browser: https://salsa.debian.org/debian/radeontop
+Vcs-Git: https://salsa.debian.org/debian/radeontop.git
 
 Package: radeontop
 Architecture: any
