=== debian/changelog ===
radeontop (1.4-1) unstable; urgency=medium

  * New upstream release
    - Update pci ids. Van gogh, yellow carp, navy
      flounder, dimgrey cavefish, aldebaran
    - Install radeontop to /usr/bin
    - Sync translations from launchpad
  * Add missing newline at the end of debian/control
  * Switch priority from extra to optional in debian/control
  * Use correct shortname for GPL-3 license in debian/copyright
  * Update copyright years in debian/copyright

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 20 Dec 2021 19:20:35 +0100
