=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: radeontop
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
 Build-Depends: debhelper (>= 12), libpciaccess-dev, pkg-config, libncurses5-dev, libdrm-dev, libxcb1-dev, libxcb-dri2-0-dev
 Standards-Version: 4.5.1
